Cassandra.get_indexed_slices_args (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.thrift

## Class Cassandra.get_indexed_slices_args

- java.lang.Object
- - org.apache.cassandra.thrift.Cassandra.get_indexed_slices_args

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.get_indexed_slices_args>, org.apache.thrift.TBase<Cassandra.get_indexed_slices_args,Cassandra.get_indexed_slices_args._Fields>
  Enclosing class:
    Cassandra

      public static class Cassandra.get_indexed_slices_args
      extends java.lang.Object
      implements org.apache.thrift.TBase<Cassandra.get_indexed_slices_args,Cassandra.get_indexed_slices_args._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.get_indexed_slices_args>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Cassandra.get_indexed_slices_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ColumnParent` | `column_parent`
    `SlicePredicate` | `column_predicate`
    `ConsistencyLevel` | `consistency_level`
    `IndexClause` | `index_clause`
    `static java.util.Map<Cassandra.get_indexed_slices_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cassandra.get_indexed_slices_args()`
    `Cassandra.get_indexed_slices_args(Cassandra.get_indexed_slices_args other)` Performs a deep copy on other.
    `Cassandra.get_indexed_slices_args(ColumnParent column_parent, IndexClause index_clause, SlicePredicate column_predicate, ConsistencyLevel consistency_level)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(Cassandra.get_indexed_slices_args other)`
    `Cassandra.get_indexed_slices_args` | `deepCopy()`
    `boolean` | `equals(Cassandra.get_indexed_slices_args that)`
    `boolean` | `equals(java.lang.Object that)`
    `Cassandra.get_indexed_slices_args._Fields` | `fieldForId(int fieldId)`
    `ColumnParent` | `getColumn_parent()`
    `SlicePredicate` | `getColumn_predicate()`
    `ConsistencyLevel` | `getConsistency_level()`
    `java.lang.Object` | `getFieldValue(Cassandra.get_indexed_slices_args._Fields field)`
    `IndexClause` | `getIndex_clause()`
    `int` | `hashCode()`
    `boolean` | `isSet(Cassandra.get_indexed_slices_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetColumn_parent()` Returns true if field column_parent is set (has been assigned a value) and false otherwise
    `boolean` | `isSetColumn_predicate()` Returns true if field column_predicate is set (has been assigned a value) and false otherwise
    `boolean` | `isSetConsistency_level()` Returns true if field consistency_level is set (has been assigned a value) and false otherwise
    `boolean` | `isSetIndex_clause()` Returns true if field index_clause is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `Cassandra.get_indexed_slices_args` | `setColumn_parent(ColumnParent column_parent)`
    `void` | `setColumn_parentIsSet(boolean value)`
    `Cassandra.get_indexed_slices_args` | `setColumn_predicate(SlicePredicate column_predicate)`
    `void` | `setColumn_predicateIsSet(boolean value)`
    `Cassandra.get_indexed_slices_args` | `setConsistency_level(ConsistencyLevel consistency_level)`
    `void` | `setConsistency_levelIsSet(boolean value)`
    `void` | `setFieldValue(Cassandra.get_indexed_slices_args._Fields field, java.lang.Object value)`
    `Cassandra.get_indexed_slices_args` | `setIndex_clause(IndexClause index_clause)`
    `void` | `setIndex_clauseIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetColumn_parent()`
    `void` | `unsetColumn_predicate()`
    `void` | `unsetConsistency_level()`
    `void` | `unsetIndex_clause()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### column_parent

          public ColumnParent column_parent

    - #### index_clause

          public IndexClause index_clause

    - #### column_predicate

          public SlicePredicate column_predicate

    - #### consistency_level

          public ConsistencyLevel consistency_level

      See Also:
        `ConsistencyLevel`

    - #### metaDataMap

          public static final java.util.Map<Cassandra.get_indexed_slices_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### Cassandra.get_indexed_slices_args

          public Cassandra.get_indexed_slices_args()

    - #### Cassandra.get_indexed_slices_args

          public Cassandra.get_indexed_slices_args(ColumnParent column_parent,
                                           IndexClause index_clause,
                                           SlicePredicate column_predicate,
                                           ConsistencyLevel consistency_level)

    - #### Cassandra.get_indexed_slices_args

          public Cassandra.get_indexed_slices_args(Cassandra.get_indexed_slices_args other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public Cassandra.get_indexed_slices_args deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.get_indexed_slices_args,Cassandra.get_indexed_slices_args._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<Cassandra.get_indexed_slices_args,Cassandra.get_indexed_slices_args._Fields>`

    - #### getColumn_parent

          public ColumnParent getColumn_parent()

    - #### setColumn_parent

          public Cassandra.get_indexed_slices_args setColumn_parent(ColumnParent column_parent)

    - #### unsetColumn_parent

          public void unsetColumn_parent()

    - #### isSetColumn_parent

          public boolean isSetColumn_parent()

      Returns true if field column_parent is set (has been assigned a value) and false otherwise

    - #### setColumn_parentIsSet

          public void setColumn_parentIsSet(boolean value)

    - #### getIndex_clause

          public IndexClause getIndex_clause()

    - #### setIndex_clause

          public Cassandra.get_indexed_slices_args setIndex_clause(IndexClause index_clause)

    - #### unsetIndex_clause

          public void unsetIndex_clause()

    - #### isSetIndex_clause

          public boolean isSetIndex_clause()

      Returns true if field index_clause is set (has been assigned a value) and false otherwise

    - #### setIndex_clauseIsSet

          public void setIndex_clauseIsSet(boolean value)

    - #### getColumn_predicate

          public SlicePredicate getColumn_predicate()

    - #### setColumn_predicate

          public Cassandra.get_indexed_slices_args setColumn_predicate(SlicePredicate column_predicate)

    - #### unsetColumn_predicate

          public void unsetColumn_predicate()

    - #### isSetColumn_predicate

          public boolean isSetColumn_predicate()

      Returns true if field column_predicate is set (has been assigned a value) and false otherwise

    - #### setColumn_predicateIsSet

          public void setColumn_predicateIsSet(boolean value)

    - #### getConsistency_level

          public ConsistencyLevel getConsistency_level()

      See Also:
        `ConsistencyLevel`

    - #### setConsistency_level

          public Cassandra.get_indexed_slices_args setConsistency_level(ConsistencyLevel consistency_level)

      See Also:
        `ConsistencyLevel`

    - #### unsetConsistency_level

          public void unsetConsistency_level()

    - #### isSetConsistency_level

          public boolean isSetConsistency_level()

      Returns true if field consistency_level is set (has been assigned a value) and false otherwise

    - #### setConsistency_levelIsSet

          public void setConsistency_levelIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(Cassandra.get_indexed_slices_args._Fields field,
                           java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.get_indexed_slices_args,Cassandra.get_indexed_slices_args._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(Cassandra.get_indexed_slices_args._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.get_indexed_slices_args,Cassandra.get_indexed_slices_args._Fields>`

    - #### isSet

          public boolean isSet(Cassandra.get_indexed_slices_args._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<Cassandra.get_indexed_slices_args,Cassandra.get_indexed_slices_args._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(Cassandra.get_indexed_slices_args that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(Cassandra.get_indexed_slices_args other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Cassandra.get_indexed_slices_args>`

    - #### fieldForId

          public Cassandra.get_indexed_slices_args._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.get_indexed_slices_args,Cassandra.get_indexed_slices_args._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<Cassandra.get_indexed_slices_args,Cassandra.get_indexed_slices_args._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<Cassandra.get_indexed_slices_args,Cassandra.get_indexed_slices_args._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2014 The Apache Software Foundation